@charset "utf-8";

// Custom Variables
@import "./colors.scss";

// Custom Fonts
@font-face {
  font-family: "Barlow";
  src: url("./fonts/Barlow/Barlow-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "Inconsolata";
  src: url("./fonts/Inconsolata/static/Inconsolata/Inconsolata-Regular.ttf") format("truetype");
}

// Overwrite Bulma Defaults here, before import
@import "bulma/sass/utilities/initial-variables.sass";
$family-primary: "Barlow", sans-serif;
$family-secondary: "Inconsolata", monospace;
$family-code: "Inconsolata", monospace;

$tablet: 500px;
$navbar-breakpoint: $tablet;

$navbar-height: 3rem;
$primary: $adaptor-primary;
$info: $blue-5;
$success: $green-1;
$link: $purple-1;
$text: $black;
$radius: 3px;
$box-radius: 0px;
$icon-dimensions: 1.25rem;
$table-cell-border: 1px solid $black;

// Import entire Bulma framework from node_modules
@import "bulma/bulma";

// Global Settings
html,
body {
  overflow: hidden;
}

// *:not(.Vue-Toastification__container):not(.edge) {
//    outline: 1px solid darkred
//    outline-offset: -1px
// }

@import "vue-toastification/dist/index.css";
@import "./json-editor/adaptorTheme.scss";
@import "./animation.scss";
@import "./custom.scss";
@import "./elements.scss";
@import "./flow.scss";
